## jukebox-mercury 0.1-1.1

=== Makefile ===
###############################################################################
#
#  Mercury Makefile (all it does is install)
#
###############################################################################

prog	= mercury
prefix	= /usr/local

bindir	= $(prefix)/sbin
datadir	= $(prefix)/share
mandir	= $(datadir)/man
statedir= $(prefix)/state
etcdir	= $(prefix)/etc

varprefix=$(prefix)


install:
	mkdir -p $(bindir)
	mkdir -p $(mandir)/man8
	mkdir -p $(etcdir)
	install -m755 mercury $(bindir)/$(prog)
	install -m755 auto.mercury $(etcdir)

=== debian/changelog ===
jukebox-mercury (0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Lintian/linda cleanup:
    * debian/control: Added B-D for debhelper. (Closes: #196470)
    * debian/{postrm,prerm}: 
      - Removed code to symlink /usr/doc/$prog to /usr/share/doc/$prog
      - Added #DEBHELPER# lines for the dh_* scripts
    * debian/conffiles: Added init-script and /etc/auto.mercury

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>.

 -- Marc Brockschmidt <marc@dch-faq.de>  Wed, 10 Dec 2003 17:20:58 +0100

jukebox-mercury (0.1-1) unstable; urgency=low

  * Very first version

 -- Brian White <bcwhite@pobox.com>  Wed,  7 May 2003 11:58:11 -0400

=== debian/control ===
Source: jukebox-mercury
Section: otherosfs
Priority: extra
Standards-Version: 3.5.9.0
Build-Depends: debhelper
Maintainer: Brian White <bcwhite@pobox.com>

Package: jukebox-mercury
Architecture: all
Depends: autofs
Description: Mercury NSM CD Jukebox Access Utility
 The Mercury NSM series of CD Jukeboxes hold a large number of CDs
 and can mount a few of them at one time in to several internal
 drives.
 .
 This program tracks all of the installed CDs and makes them available
 under the directory /mercury by using the automounter.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules for "Mercury" Jukebox controller
#
# Written by Brian White <bcwhite@pobox.com>
# This code has been placed in the public domain (the only true "free")
#

package := jukebox-mercury
debdir	:= debian/tmp

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1



build:
	@echo "Nothing to build."

clean:
	dh_testdir
#	dh_testroot
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	:
	make prog=$(package) prefix=$(debdir)/usr etcdir=$(debdir)/etc install
	mkdir -p -m755 $(debdir)/etc/init.d
	install -m755 debian/init $(debdir)/etc/init.d/$(package)
	find $(debdir) | xargs ls -ld
	:
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	find $(debdir) | xargs ls -ld
	dh_makeshlibs
	dh_installdeb
	-dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	find $(debdir) | xargs ls -ld

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
